ZendCodeAnalyzerTask analyze PHP source code using the ZendCodeAnalyzer included in Zend Studio 5.1

Available warnings: zend-error - %s(line %d): %s oneline-comment - One-line comment ends with tag. bool-assign - Assignment seen where boolean expression is expected. Did you mean '==' instead of '='? bool-print - Print statement used when boolean expression is expected. bool-array - Array used when boolean expression is expected. bool-object - Object used when boolean expression is expected. call-time-ref - Call-time reference is deprecated. Define function as accepting parameter by reference instead. if-if-else - In if-if-else construction else relates to the closest if. Use braces to make the code clearer. define-params - define() requires two or three parameters. define-const - First parameter for define() should be string. Maybe you forgot quotes? break-var - Break/continue with variable is dangerous - break level can be out of scope. break-depth - Break/continue with depth more than current nesting level. var-once - Variable '%s' encountered only once. May be a typo? var-arg-unused - Function argument '%s' is never used. var-global-unused - Global variable '%s' is defined but never used. var-use-before-def - Variable '%s' is used before it was assigned. var-use-before-def-global - Global variable '%s' is used without being assigned. You are probably relying on register_globals feature of PHP. Note that this feature is off by default. var-no-global - PHP global variable '%s' is used as local. Maybe you wanted to define '%s' as global? var-value-unused - Value assigned to variable '%s' is never used var-ref-notmodified - Function parameter '%s' is passed by reference but never modified. Consider passing by value. return-empty-val - Function '%s' has both empty return and return with value. return-empty-used - Function '%s' has empty return but return value is used. return-noref - Function '%s' returns reference but the value is not assigned by reference. Maybe you meant '=&' instead of '='? return-end-used - Control reaches the end of function '%s'(file %s, line %d) but return value is used. sprintf-miss-args - Missing arguments for sprintf: format reqires %d arguments but %d are supplied. sprintf-extra-args - Extra arguments for sprintf: format reqires %d arguments but %d are supplied. unreach-code - Unreachable code in function '%s'. include-var - include/require with user-accessible variable can be dangerous. Consider using constant instead. non-object - Variable '%s' used as object, but has different type. bad-escape - Bad escape sequence: \%c, did you mean \%c? empty-cond - Condition without a body expr-unused - Expression result is never used

author | Knut Urdalen
version | $Id: 5b7e3fb304bb5f406c919407d6881449a70b8a28 $
package | phing.tasks.ext
copyright | 2001,2002 THYRELL. All rights reserved

### Methods

## Nested creator, creates a FileSet for this task

    createFileSet() : \FileSet

### Returns

`\FileSet`The created fileset object

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

inherited_from | \Task::init()

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Analyze against PhingFile or a FileSet

    main()

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## Path to ZendCodeAnalyzer binary

    setAnalyzerPath(string $analyzerPath)

### Parameters

#### $analyzerPath

`string`

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## Disable warning levels.

    setDisable(string $disable)

Seperate warning levels with ','

### Parameters

#### $disable

`string`

## Enable warning levels.

    setEnable(string $enable)

Seperate warning levels with ','

### Parameters

#### $enable

`string`

## File to be analyzed

    setFile(\PhingFile $file)

### Parameters

#### $file

`\PhingFile`

## Sets the haltonwarning flag

    setHaltonwarning(boolean $value)

### Parameters

#### $value

`boolean`

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## Analyze file

    analyze(string $file) : void

### Parameters

#### $file

`string`

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $analyzerPath

##

    $counter

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $disable

##

    $enable

##

    $file

##

    $filesets

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $haltonwarning